<!-- <app-catalogue-sub-toolbar></app-catalogue-sub-toolbar> -->
<mat-toolbar class="bvsd-title">
    <span style="margin-left: 15px;"><h1 class="mat-h1">Vertical Service Blueprint Details</h1></span>
</mat-toolbar>
<div class="bvsd-container" >
    
    <div fxFlex.gt-md="50%" fxLayout.xs="row" fxLayout="column" fxLayoutAlign="center center">
        
        <div class="uploadLabelContainer" style="width: 100%;">
            <label style="float: left;" for="blueprintFile" class="uploadBtn" (click)="downloadVSB()">Download VSB</label>
            <!-- <label style="float: left;" for="blueprintFile" class="uploadBtn" (click)="downloadVSBZIP()">Download VSB ZIP</label> -->
        </div>

        <table mat-table matSort aria-label="Elements" class="full-width-table bvsd-table" >
            <!-- KEY Column -->
            <ng-container matColumnDef="key">
                <th mat-header-cell *matHeaderCellDef mat-sort-header>Field</th>
                <td mat-cell *matCellDef="let row"><b>{{row.key}}</b></td>
            </ng-container>

            <!-- ExpD Column -->
            <ng-container matColumnDef="value">
                <th mat-header-cell *matHeaderCellDef>Value</th>
                <td mat-cell *matCellDef="let row" ><tr *ngFor="let param of row.value">
                    <td *ngIf="row.key.includes('Components')"><a class="clickable" style="text-decoration: underline;"  (click)="viewNaBlueprint(row.value)">{{param}}</a></td>
                    <td class="margin-all" *ngIf="!row.key.includes('Components')">{{param}}</td>
                    <!-- <td class="margin-all">{{param}}</td></tr></td> -->
            </ng-container>

            <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
            <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
        </table>
    </div>

<div style="display: none;visibility: hidden;">
        <mat-paginator #paginator
            [length]="dataSource?.data.length"
            [pageIndex]="0"
            [pageSize]="50"
            [pageSizeOptions]="[25, 50, 100, 250]"
            class="bvsd-table"
            >
        </mat-paginator>
</div>

<div  fxFlex.gt-sm="50%" fxLayout="column" fxLayoutAlign="center center">
    <div style="width: 100%;height:100%" >
        <app-blueprints-graph [elements]="vsbDetailservice.graphData"   (select)="nodeChange($event)"></app-blueprints-graph>
    </div>
    <!-- <div fxFlex="100%" fxLayout="column" fxLayoutAlign="center center"><p style="color: black;"><b >Selected Node: </b>{{node_name}}</p></div> -->

</div>

</div>



